Add permission rule to allow watchers can edit issues

2014-05-09 01:45 - Juan Pablo Bidal

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Permissions and roles Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

hello,

i need to add this rule permission to allow watchers will can see and edit issues not assigned to them (so they will haven't 403 error

to access).

I have no experience in Ruby, but I think that the change could be here:

https://github.com/redmine/redmine/blob/master/app/models/issue_query.rb

Could give you me a hand? I found a lot of related issues, but this is a problem without solution for the present.

Thanks a lot!

Related issues:

Related to Redmine - Feature #8488: Create an 'Involve' mechanism to private ... New

Has duplicate Redmine - Feature #21909: Issues visibility in roles: Issues wh... Closed

History

#1 - 2014-05-09 10:50 - Toshi MARUYAMA

- Tracker changed from Defect to Feature

- Category changed from Code cleanup/refactoring to Permissions and roles

- Priority changed from Urgent to Normal

#2 - 2015-11-19 06:13 - Hang Xie

+1

#3 - 2015-12-18 05:35 - Toshi MARUYAMA

- Related to Feature #8488: Create an 'Involve' mechanism to private issues added

#4 - 2015-12-18 05:35 - Toshi MARUYAMA

- Related to Feature #20106: Adding issue watchers to "Issues Visibility" permissions added

#5 - 2016-01-16 07:14 - Go MAEDA

I think this issue can be resolved if #14318 is implemented.

#6 - 2016-01-16 07:14 - Go MAEDA

- Related to Patch #14318: Watchers Alerted To Changes But Cannot See Issues (potentially) added

#7 - 2016-02-15 04:43 - Toshi MARUYAMA

- Related to deleted (Feature #20106: Adding issue watchers to "Issues Visibility" permissions)

#8 - 2016-02-28 04:45 - Toshi MARUYAMA

- Has duplicate Feature #21909: Issues visibility in roles: Issues where user is a watcher added

#9 - 2016-05-08 09:13 - Jean-Philippe Lang

- Related to deleted (Patch #14318: Watchers Alerted To Changes But Cannot See Issues (potentially))
